Summary: Xfce session manager
Name: xfce4-session
Version: 4.4.2
Release: 3%{?dist}
License: GPLv2+
URL: http://www.xfce.org/
Source0: http://www.xfce.org/archive/xfce-4.4.2/src/xfce4-session-4.4.2.tar.bz2
Patch0: xfce4-session-4.4.2-hide-tips.patch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libxfcegui4 >= %{version}
Requires: libxfce4mcs >= %{version}
Requires: xfce-mcs-manager >= %{version}
Requires: xorg-x11-server-utils
Requires: redhat-menus
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: xfce-mcs-manager-devel >= %{version}
BuildRequires: startup-notification-devel
BuildRequires: gettext intltool
BuildRequires: imake
BuildRequires: libXt-devel
BuildRequires: xorg-x11-server-utils
BuildRequires: dbus-devel GConf2-devel
Requires: fortune-mod

%description
xfce4-session is the session manager for the Xfce desktop environment.

%package devel
Summary: Development files for xfce4-session
Group: Development/Libraries
Requires: xfce4-session >= %{version}
Requires: libxfcegui4-devel >= %{version}
Requires: libxfce4mcs-devel >= %{version}

%description devel
Header files for the Xfce Session Manager.

%package engines
Summary: Additional engines for xfce4-session
Group: User Interface/Desktops
Requires: xfce4-session >= %{version}

%description engines
Additional splash screen engines for the Xfce Session Manager.

%prep
%setup -q
%patch0 -p1 -b .disable-tips

%build
%configure --enable-gnome --enable-final

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/*/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/*/*/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/*/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/*/*/*.la
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog ChangeLog.pre-xfce-devel NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/128x128/apps/xfce4-session.png
%{_datadir}/icons/hicolor/48x48/apps/xfce4-session.png
%{_datadir}/icons/hicolor/48x48/apps/xfce4-splash.png
%{_datadir}/icons/hicolor/48x48/apps/xfsm-logout.png
%{_datadir}/icons/hicolor/48x48/apps/xfsm-reboot.png
%{_datadir}/icons/hicolor/48x48/apps/xfsm-shutdown.png
%{_datadir}/icons/hicolor/64x64/apps/xfsm-gnome-kde-logo.png
%{_datadir}/icons/hicolor/72x72/apps/xfsm-trash-hilight.png
%{_datadir}/icons/hicolor/72x72/apps/xfsm-trash-normal.png
%{_datadir}/icons/hicolor/scalable/apps/xfce4-session.svg
%{_datadir}/icons/hicolor/scalable/apps/xfsm-shutdown.svg
%{_datadir}/xfce4/doc/*/images/*
%{_datadir}/xfce4/doc/*/*.html
%dir %{_datadir}/xfce4/tips/
%{_datadir}/xfce4/tips/tips
%{_datadir}/xfce4/tips/tips.dat
%{_libdir}/lib*.so.*
%{_libdir}/xfce4/mcs-plugins/*
%dir %{_libdir}/xfce4/splash/
%dir %{_libdir}/xfce4/splash/engines
%{_libdir}/xfce4/splash/engines/libmice.*
%{_libexecdir}/xfsm-shutdown-helper
%{_mandir}/man1/*
%dir %{_sysconfdir}/xdg/xfce4-session/
%config(noreplace) %{_sysconfdir}/xdg/xfce4-session/xfce4-session.rc
%dir %{_sysconfdir}/xdg/autostart/
%config(noreplace) %{_sysconfdir}/xdg/autostart/xfce4-tips-autostart.desktop

%files devel
%defattr(-,root,root,-)
%{_includedir}/xfce4/xfce4-session-4.2/
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc

%files engines
%defattr(-,root,root,-)
%{_datadir}/themes/
%{_libdir}/xfce4/splash/engines/libbalou.*
%{_libdir}/xfce4/splash/engines/libsimple.*
%{_libexecdir}/balou-*

%changelog
* Tue Apr 22 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-3
- Disable tips by default for now. 

* Sun Feb 10 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-2
- Rebuild for gcc43

* Sun Nov 18 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-1
- Update to 4.4.2

* Mon Aug 27 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-2
- Update License tag

* Wed Apr 11 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-1
- Update to 4.4.1
- Own the themes and themes/Default directories. 

* Tue Apr  3 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-2
- Own some unowned directories
- Add Requires: redhat-menus for directory ownership

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-1
- Update to 4.4.0

* Mon Nov 27 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-2
- Add dbus-devel and GConf2-devel to BuildRequires, fixes bug #217082

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-1
- Update to 4.3.99.2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-6
- Fix defattr
- Add gtk-update-icon-cache

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-5
- Bump release for devel checkin

* Sun Sep 24 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-4
- Don't own doc directories that xfdesktop owns. 

* Sun Sep 17 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-3
- Only own icons, not any of the icon dirs. 

* Tue Sep 12 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-2
- Add Requires for fortune-mod, needed for xfce4-tips

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-1
- Upgrade to 4.3.99.1
- Fix macros in changelog
- Add post/postun ldconfig

* Wed Jul 12 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.2-1
- Upgrade to 4.3.90.2

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-3.fc5
- Rebuild for fc5

* Tue Jan 31 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-2.fc5
- Added xorg-x11-server-utils, imake, libXt-devel BuildRequires
- Added xorg-x11-server-utils to Requires

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> 4.2.2-1.fc4
- Update to 4.2.2

* Sun May  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-5.fc4
- Add xorg-x11 buildrequires for iceauth check in configure

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-4.fc4
- lowercase Release

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.FC4
- Removed unneeded la/a files
- Added version to requires in devel and engine subpackages

* Sun Mar 20 2005 Warren Togami <wtogami@redhat.com> - 4.2.1-2
- fix BuildReqs

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-2
- Fixed to use %%find_lang
- Removed generic INSTALL from %%doc

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-1
- Inital Fedora Extras version

